module Config
	# Resources related constants
	COMMERCIAL = "commercial"
	TECHNICIEN = "technicien"
	FONCTIONS = [COMMERCIAL,TECHNICIEN]
	
	# Database related constants
	HOST = "localhost"
	USER = "thibs"
	PASSWD = "prout"
	DB = "edgeit"
	
	# Contracts types
	EXPERTISE = "expertise"
	SUPPORT = "support"
	PRODUIT = "produit"
	
	# Contracts states
	AUCUN = "Aucun"
	PAS_COMMENCE = "Pas commencé"
	EN_COURS = "En cours"
	TERMINE = "Terminé"
	ETATS_CONTRATS = [PAS_COMMENCE,EN_COURS,TERMINE]
	
	# Propositions states
	EN_ATTENTE = "En attente"
	GAGNE = "Gagnée"
	PERDUE = "Perdue"
	ETATS_PROPOSITIONS = [EN_ATTENTE,GAGNE,PERDUE]
	
	# Expertise Contracts related constants
	TRI_EXP_AUCUN = "Pas de tri"
	TRI_EXP_CLIENT = "Client"
	TRI_EXP_COMMERCIAL = "Commercial"
	TRI_EXP_TECHNICIEN = "Technicien"
	TRI_EXP_ETAT = "Etat"
	TRI_EXP = [TRI_EXP_AUCUN,TRI_EXP_CLIENT,TRI_EXP_COMMERCIAL,TRI_EXP_TECHNICIEN,TRI_EXP_ETAT]
	
	# Support Contracts related constants
	TRI_SUP_AUCUN = "Pas de tri"
	TRI_SUP_CLIENT = "Client"
	TRI_SUP_COMMERCIAL = "Commercial"
	TRI_SUP_ETAT = "Etat"
	TRI_SUP = [TRI_SUP_AUCUN,TRI_SUP_CLIENT,TRI_SUP_COMMERCIAL,TRI_SUP_ETAT]
	
	# Products Contracts related constants
	TRI_PROD_AUCUN = "Pas de tri"
	TRI_PROD_CLIENT = "Client"
	TRI_PROD_COMMERCIAL = "Commercial"
	TRI_PROD_ETAT = "Etat"
	TRI_PROD = [TRI_PROD_AUCUN,TRI_PROD_CLIENT,TRI_PROD_COMMERCIAL,TRI_PROD_ETAT]
end