require 'Propositions'
require 'PropositionsDlgUi'
require 'AjoutPropositionDlgUi'

# Class PropositionsDlg
#
# definition : Manages the propositions manager window

class PropositionsDlg < PropositionsDlgUi
	
	# constructor
	def initialize(dataManager)
		super(nil,"PropositionsDlgUi",true)
		@dataManager = dataManager
		@propositions = @dataManager.propositions
	end
	
	def addPropaleWin
		ajoutPropositionDlg = AjoutPropositionDlg.new(self)
		ajoutPropositionDlg.exec
	end
end

class AjoutPropositionDlg < AjoutPropositionDlgUi

	# constructor
	def initialize(propositionDlg)
		super(nil, "ajout_proposition", true)
		@propositionDlg = propositionDlg
	end
end